{% extends 'Default/index.html.twig' %}

{% block stylesheets %}
  {{ parent() }}
  {{ encore_entry_link_tags('operator-list-applications') }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('operator-list-applications') }}
{% endblock %}

{% block main_content %}
  {# Includo i template per la lista utilizzati da jsrender #}
  {{ include('Operatori/parts/_applications-list.html.twig') }}

  <section class="p-3 pt-5">
    <div id="filters">
      <div class="row">
        {% if servizi|length %}
          <div class="col-12 col-sm-6 col-lg-3 mb-5">
            <div class="label-sm-wrapper filter-servizio">
              <label for="filter-servizio">{{ 'pratica.filtra_per_servizio' | trans }}</label>
              <select id="filter-servizio" class="form-control filter-select form-control-chosen">
                <option value="">{{ 'tutti' | trans }}</option>
                {% for servizio in servizi %}
                  {% if servizio is iterable %}
                    <option data-type="group" data-slug="{{ servizio.group.slug }}"
                            data-name="{{ servizio.group.name }}"
                            value="{{ servizio.group.id }}">{{ servizio.group.name }}</option>
                    {% for s in servizio.services %}
                      <option data-type="service" data-slug="{{ s.slug }}" data-name="{{ s.name }}" value="{{ s.id }}">
                        - {{ s.name }}</option>
                    {% endfor %}
                  {% else %}
                    {# users is probably a string #}
                    <option data-type="service" data-slug="{{ servizio.slug }}" data-name="{{ servizio.name }}"
                            value="{{ servizio.id }}">{{ servizio.name }}</option>
                  {% endif %}

                {% endfor %}
              </select>
            </div>
          </div>
        {% endif %}
        {% if stati|length %}
          <div class="col-12 col-sm-6 col-lg-3 mb-5">
            <div class="label-sm-wrapper filter-stato">
              <label for="filter-stato">{{ 'pratica.filtra_per_stato' | trans }}</label>
              <select id="filter-stato" class="form-control filter-select form-control-chosen">
                <option value="">{{ 'tutti' | trans }}</option>
                {% for stato in stati %}
                  <option value="{{ stato.id }}">{{ stato.name|trans }}</option>
                {% endfor %}
              </select>
            </div>
          </div>
        {% endif %}
        {% if geographic_areas|length %}
          <div class="col-12 col-sm-6 col-lg-3 mb-5">
            <div class="label-sm-wrapper filter-geographic-area">
              <label for="filter-geographic-area">{{ 'pratica.filtra_per_area_geografica' | trans }}</label>
              <select id="filter-geographic-area" class="form-control filter-select form-control-chosen">
                <option value="">{{ 'pratica.all_the' | trans }}</option>
                {% for geographicArea in geographic_areas %}
                  <option value="{{ geographicArea.id }}"
                          {% if app.request.query.get('geographic_area') == geographicArea.id %}selected="selected"{% endif %}>{{ geographicArea.name }}</option>
                {% endfor %}
              </select>
            </div>
          </div>
        {% endif %}
        <div class="col-12 col-sm-6 col-lg-3 mb-5">
          <div class="label-sm-wrapper filter-workflow">
            <label for="filter-workflow">{{ 'pratica.filter_by_processing' | trans }}</label>
            <select id="filter-workflow" class="form-control filter-select form-control-chosen">
              <option value="">{{ 'pratica.all_the'| trans }}</option>
              {% for user_group in user_groups %}
                <option value="user_group@{{ user_group.id }}">{{ user_group.name }}</option>
              {% endfor %}
              <option value="owned">{{ 'pratica.in_charge_of' | trans }} {{ user.fullName }}</option>
              <option value="unassigned">{{ 'pratica.to_assign' | trans }}</option>
            </select>
          </div>
        </div>
        <div class="col-12 col-sm-6 col-lg-3 mb-5 mb-md-0">
          <div class="label-sm-wrapper filter-query">
            <label for="filter-query-by">{{ 'pratica.search_for' | trans }}</label>
            <div class="input-group">
              <select class="form-control filter-select form-control-chosen" id="filter-query-by" name="query-by">
                <option value="2">{{ 'servizio.nome_utente' | trans }}</option>
                <option value="1">{{ 'meetings.labels.fiscal_code' | trans }}</option>
                <option value="3">{{ 'servizio.id_pratica' | trans }}</option>
              </select>
              <div class="input-group-append">
                <label for="filter-query" class="sr-only">{{ 'pratica.text_search_for' | trans }}</label>
                <input type="text" class="chosen-input" name="query" id="filter-query"
                       placeholder="{{ 'pratica.text_search_for' | trans }}">
              </div>
            </div>
          </div>
        </div>
        <div class="col-4 col-sm-6 col-lg-3 mb-5">
          <div class="label-sm-wrapper">
            <label for="status-range">{{ 'pratica.last_status_change' | trans }}</label>
            <input type="text" id="status-range" name="status-range" class="chosen-input" autocomplete="false"
                   onkeydown="event.preventDefault()">
          </div>
        </div>
        <div class="col-3 col-sm-6 col-lg-2 mb-5">
          <div class="label-sm-wrapper">
            <label for="filter-pratiche"
                   class="text-nowrap overflow-hidden mw-100">{{ 'pratica.results_page' | trans }}</label>
            <select id="filter-pratiche" class="form-control filter-select form-control-chosen">
              <option value="10">10</option>
              <option value="25">25</option>
              <option value="50">50</option>
              <option value="100">100</option>
            </select>
          </div>
        </div>
        <div class="col-4 col-sm-6 col-lg-1">
          <div class="label-sm-wrapper">
            <label>{{ 'pratica.collate' | trans }}</label>
            <div class="form-check">
              <div class="toggles">
                <label for="filter-collate">
                  <input type="checkbox" id="filter-collate">
                  <span class="lever"></span>
                </label>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12 col-sm-6 col-lg-3">
          <a id="reset" class="btn btn-outline-secondary btn-xs btn-icon p-2 mr-2" href="#">
            <svg class="icon icon-secondary">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-close-big"></use>
            </svg>
            <span>{{ 'pratica.cancel_search' | trans }}</span>
          </a>
          <a id="reload" class="btn btn-secondary btn-xs btn-icon p-2" href="#">
            <svg class="icon icon-white">
              <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-refresh"></use>
            </svg>
            <span>{{ 'pratica.search_reload' | trans }}</span>
          </a>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12" id="results-data"
           data-show="{{ path('operatori_show_pratica', {'pratica': 'X'}) }}"
           data-assign="{{ path('operatori_autoassing_pratica', {'pratica': 'X'}) }}"
           data-source="{{ path('operatori_index_json') }}"></div>
    </div>
  </section>


{% endblock %}
